﻿@model ValidationWebApplication.Models.Pessoa
@{
    ViewBag.Title = "Index";
}

<h2>Person Validation</h2>

@using (Html.BeginForm())
{
    @Html.ValidationSummary(true)
    <fieldset>
        <legend>Register</legend>
        <div>
            @Html.LabelFor(model => model.Name)
        </div>
        <div>
            @Html.EditorFor(model => model.Name)
            @Html.ValidationMessageFor(model => model.Name)
        </div>

        <div>
            @Html.LabelFor(model => model.Age)
        </div>
        <div>
            @Html.EditorFor(model => model.Age)
            @Html.ValidationMessageFor(model => model.Age)
        </div>

        <div>
            @Html.LabelFor(model => model.Email)
        </div>
        <div>
            @Html.EditorFor(model => model.Email)
            @Html.ValidationMessageFor(model => model.Email)
        </div>

        <div>
            @Html.LabelFor(model => model.Login)
        </div>
        <div>
            @Html.EditorFor(model => model.Login)
            @Html.ValidationMessageFor(model => model.Login)
        </div>

        <div>
            @Html.LabelFor(model => model.Pass)
        </div>
        <div>
            @Html.PasswordFor(model => model.Pass)
            @Html.ValidationMessageFor(model => model.Pass)
        </div>

        <div>
            @Html.LabelFor(model => model.PassConfirm)
        </div>
        <div>
            @Html.PasswordFor(model => model.PassConfirm)
            @Html.ValidationMessageFor(model => model.PassConfirm)
        </div>

        <div style="margin-top: 10px">
            <button type="submit">Enviar</button>
        </div>

    </fieldset>
}

@section Scripts{
    @Scripts.Render("~/bundles/jqueryval")
}

